summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Tim Dickson2015-03-27 13:40:29 +0100
committer Willy Sudiarto Raharjo2015-03-27 20:22:08 +0100
commit2148eccd8ae33632c5ada5f9b409514368eb7c28 (patch)
tree2599d19047c73333bdd541aeaa52084be946a54d /academic
parent7af86628b9e16a6f1196dddce80015d0e0d5d4e2 (diff)
downloadslackbuilds-2148eccd8ae33632c5ada5f9b409514368eb7c28.tar.gz
academic/sword-data-kjv: Added (King James Version Bible).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/sword-data-kjv/README20
-rw-r--r--academic/sword-data-kjv/slack-desc19
-rw-r--r--academic/sword-data-kjv/sword-data-kjv.SlackBuild67
-rw-r--r--academic/sword-data-kjv/sword-data-kjv.info14
4 files changed, 120 insertions, 0 deletions
diff --git a/academic/sword-data-kjv/README b/academic/sword-data-kjv/README
new file mode 100644
index 0000000000..eb5c1803ce
--- /dev/null
+++ b/academic/sword-data-kjv/README
@@ -0,0 +1,20 @@
+sword-data-kjv is a data package containing the king james with strongs
+dictionarys for sword.
+This packages the King James Version bible with strongs refereneces
+and the strongs Hebrew and Greek dictionaries for use with the sword
+engine/library V1.7.0 or higher. This and many other bibles and
+dictionaries can be downloaded from the www.crosswire.org web site. As
+this is packaging data only, it is platform independant.
+
+Go to www.crosswire.org/sword/modules/ to find more texts,
+dictionaries, commentaries and other related stuff which can be used
+by the sword engine.
+
+wget has problems using the urls directly at www.crosswire.org/sword/modules
+allthough a browser such as firefox works fine. See the .info file for an
+example of url location when using wget.
+
+most sword based bible programs, such as bibletime or xiphos (gnomesword)
+have a facility to download more content using their gui.
+
+Please Note: you need at least sword 1.7.0 or higher to read this data.
diff --git a/academic/sword-data-kjv/slack-desc b/academic/sword-data-kjv/slack-desc
new file mode 100644
index 0000000000..30b0a43752
--- /dev/null
+++ b/academic/sword-data-kjv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sword-data-kjv: sword-data-kjv (King James Version Bible)
+sword-data-kjv:
+sword-data-kjv: This packages the King James Version bible with strongs refereneces
+sword-data-kjv: and the strongs Hebrew and Greek dictionaries for use with the sword
+sword-data-kjv: engine/library. This and many other bibles and dictionaries can be
+sword-data-kjv: downloaded from the www.crosswire.org web site.
+sword-data-kjv:
+sword-data-kjv: Go to www.crosswire.org/sword/modules/ to find more texts,
+sword-data-kjv: dictionaries, commentaries and other related stuff which can be used
+sword-data-kjv: by the sword engine. This data requires sword 1.7.0 or higher.
+sword-data-kjv:
diff --git a/academic/sword-data-kjv/sword-data-kjv.SlackBuild b/academic/sword-data-kjv/sword-data-kjv.SlackBuild
new file mode 100644
index 0000000000..a990cca9ca
--- /dev/null
+++ b/academic/sword-data-kjv/sword-data-kjv.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for sword-data-kjv
+
+# Copyright 2015 Tim Dickson, email: tim at googlemail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sword-data-kjv
+VERSION=${VERSION:-1.7.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+#this is a data package, architecture is irrelevant
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+#check if sword is installed and get data location, otherwise use default
+DATADEST="/usr/shared/sword/"
+if [ -e /etc/sword.conf ]; then
+ DATADEST=`cat /etc/sword.conf|grep DataPath|awk -F"=" '{print $2}'`
+fi
+
+mkdir -p $PKG${DATADEST}
+cd $PKG${DATADEST}
+chown -R root:root .
+unzip $CWD/KJV.zip
+unzip $CWD/StrongsGreek.zip
+unzip $CWD/StrongsHebrew.zip
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/sword-data-kjv/sword-data-kjv.info b/academic/sword-data-kjv/sword-data-kjv.info
new file mode 100644
index 0000000000..16a0ac07f4
--- /dev/null
+++ b/academic/sword-data-kjv/sword-data-kjv.info
@@ -0,0 +1,14 @@
+PRGNAM="sword-data-kjv"
+VERSION="1.7"
+HOMEPAGE="http://www.crosswire.org/sword/modules/"
+DOWNLOAD="http://www.crosswire.org/ftpmirror/pub/sword/packages/rawzip/KJV.zip \
+ http://www.crosswire.org/ftpmirror/pub/sword/packages/rawzip/StrongsGreek.zip \
+ http://www.crosswire.org/ftpmirror/pub/sword/packages/rawzip/StrongsHebrew.zip"
+MD5SUM="455caa8e57e06e6b97856ed30150b36b \
+ a99b80cf82aa4d2a33770967847919c5 \
+ 3cbbc69d7410efc9d1d7f6f6b30e3415"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="sword"
+MAINTAINER="Tim Dickson"
+EMAIL="dickson.tim@googlemail.com"